<?
require_once('include/global.php');
require_once("include/admin_lib.php");
require_once("include/member_lib.php");
require_once('include/member_group_lib.php');

	$mbr = member_info($_GET['m_no']);		// array
	$mbr_form = set_form_mbr($mbr);		// array

	// [2006-11-02] 관리자모드일때, 관리자는 서버관리자의 정보를 변경할 수 없도록함.
		if ($mbr['m_level'] > $AUTH['auth_m_level'])
			msg("자신보다 높은 [".$G['LEVEL_NAME'][$G['LEVEL']['serveradmin']]."]레벨의 계정은 수정/삭제가 불가능합니다.");

	if ($_GET['mode_sadmin'])
	{
		auth_limit("serveradmin");
		$CFG[TITLE] = '<b>메일서버관리</b> >> <b>전체회원관리</b> >> <b>메일계정 수정</b>';

		$q = "SELECT d_name FROM ".$TB['DOMAIN']." WHERE d_no='".$mbr['d_no']."'";
		$G_SYS['MAIL_DOMAIN'] = db_get_one($q);
		if (!$G_SYS['MAIL_DOMAIN'])
			msg("존재하지 않는 도메인입니다.\\n\\n확인후 다시 시도하여 주십시오.");

		$_GET['sa_d_no'] = $mbr['d_no'];
	} else
	{
		auth_limit("admin");
		$CFG[TITLE] = '<b>관리자메뉴</b> >> <b>회원관리</b> >> <b>메일계정 수정</b>';

		$_GET['sa_d_no'] = $G['DINFO']['d_no'];
	}	// if()

	$mbr_form[m_quota] = input_value($mbr['m_quota']/1024, 1);
	$mbr_form[m_bigfile_quota] = input_value($mbr['m_bigfile_quota']/1024, 1);
	$mbr_form[m_webhard_quota] = input_value($mbr['m_webhard_quota']/1024, 1);


// check
	// 메일용량 할당량, 메일계정 할당수 제한
		require_once('include/admin_lib.php');
		//mbr_add_limit(0, 0, 0);

	// [2006-03-08] 메일서버가 동작중인지 확인
		mail_server_check_limit();

// get
	$mf = get_member_field();

	// 조직 - 소속된 조직만
		//$q = "SELECT * FROM ".$TB['MEMBER_GROUP']." WHERE d_no='".$_GET['sa_d_no']."' ORDER BY mg_no";
		//$mbr_group = db_get_rows($q, true);
		//$mbr_form[mbr_group] = select_list_value($mbr['mg_no'], $mbr_group['mg_name'], $mbr_group['mg_no'], NULL, 0, 1);
		$q = "
				SELECT
					mg.mg_name, mg.mg_no
				FROM
					".$TB['MEMBER_GROUP_REL']."  mgr,
					".$TB['MEMBER_GROUP']."  mg
				WHERE
					mgr.m_no='".$_GET['m_no']."'
					AND mgr.mg_no=mg.mg_no
				";
		$mbr_group = db_get_rows($q, true);
		if ($mbr_group)
		{
			// 기본 그룹이 첫번째 리스트에 옴.
			$_as = array_search($mbr['mg_no'], $mbr_group['mg_no']);
			if ($_as !== false && $_as !== 0)
			{

				$mg_no_new = array();
				$mg_name_new = array();
				$mg_no_new[] = $mbr_group['mg_no'][$_as];
				$mg_name_new[] = $mbr_group['mg_name'][$_as];
				for ($i=0; $i<sizeof($mbr_group['mg_no']); $i++)
				{
					if ($i != $_as)
					{
						$mg_no_new[] = $mbr_group['mg_no'][$i];
						$mg_name_new[] = $mbr_group['mg_name'][$i];
					}	// if()
				}	// for()

				$mbr_group['mg_no'] = $mg_no_new;
				$mbr_group['mg_name'] = $mg_name_new;
			}	// if()

			$mbr_form['mg_no'] = input_value(implode(',', $mbr_group['mg_no']), 1);
			//$mbr_form['mg_no_text'] = input_value(implode(', ', $mbr_group['mg_name']), 1);
			$mbr_form['mg_no_text'] = htmlspecialchars_fix(implode(', ', $mbr_group['mg_name']));
		}	// if()



	// 직위 - 선택시에만 낮은 직위가 가장 먼저 오도록함.
		$q = "SELECT * FROM ".$TB['MEMBER_CLASS']." WHERE d_no='".$_GET['sa_d_no']."' ORDER BY mc_sort DESC, mc_name";
		$mc_no = db_get_rows($q, true);
		$mbr_form[mc_no] = select_list_value($mbr['mc_no'], $mc_no['mc_name'], $mc_no['mc_no'], "- 선택 -", 0, 1);


// skin view
	$CFG['ACTION'] = 'admin_mbr_mod_ok.php';
	nskinset('sadmin', 'admin_mbr_add.html');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>